﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using System.Collections.ObjectModel;
using System.ComponentModel;

namespace TreeViewAdv
{
    public class ModeloVista : System.ComponentModel.INotifyPropertyChanged
    {
        private ElementoBase elementoSeleccionado;

        public ElementoBase ElementoSeleccionado {
            get => this.elementoSeleccionado;
            set
            {
                elementoSeleccionado = value;
                this.PropertyChanged?.Invoke(this, new PropertyChangedEventArgs("ElementoSeleccionado"));

            }
        }

        public ObservableCollection<ElementoBase> Datos { get; } = new ObservableCollection<ElementoBase>();

        public event PropertyChangedEventHandler PropertyChanged;
    }
}
